#include <iostream>
#include <vector>
using namespace std;
int main()
{
    size_t number_count,bin_count;

    cout << "Enter number count: ";
    cin >> number_count;

    vector<double> numbers(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        cout <<"Enter number: ";
        cin >> numbers[i];
    }
    cout <<"Enter number of bins: ";
    cin >> bin_count;

    vector<size_t> bins(bin_count);
    double min = numbers[0];
    double max = numbers[0];
    for (double x : numbers) {
        if (x < min) {
            min = x;
        }
        else if (x > max) {
            max = x;
        }
    }


    double bin_size = (max - min) / bin_count;
    for (size_t i = 0; i < number_count; i++)
    {
        bool found = false;
        for (size_t j = 0; (j < bin_count - 1) && !found; j++)
        {
            auto low = min + j * bin_size;
            auto high = min + (j + 1) * bin_size;
            if ((low <= numbers[i]) && (numbers[i] < high))
            {
                bins[j]++;
                found = true;
            }
        }
        if (!found)
        {
            bins[bin_count - 1]++;
        }
    }

    /*for (size_t i = 0; i < bins.size(); ++i) {
        cout << "Bin " << i + 1 << ": " << bins[i] << " |";
        for (size_t j = 0; j < bins[i]; ++j) {
            cout << "*";
        }
        cout << endl;
    }

    return 0;*/





}

